%define major 0
%define libname %mklibname tommath %{major}
%define libname_devel %mklibname tommath -d
%define libname_static_devel %mklibname tommath -d -s

Summary:	Portable number theoretic multiple-precision integer library
Name:		libtommath
Version:	0.42.0
Release:	%mkrel 3
Group:		System/Libraries
License:	Public Domain
URL:		http://www.libtom.org/
Source0:	http://www.libtom.org/files/ltm-%{version}.tar.bz2
Patch0:		libtommath-makefile.patch
BuildRequires:	ghostscript
BuildRequires:	libtool
BuildRequires:	libtiff-progs
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname}
Summary:	Portable number theoretic multiple-precision integer library
Group:		System/Libraries

%description -n	%{libname}
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tommath-devel = %{version}-%{release}

%description -n %{libname_devel}
The %{libname_devel} package contains libraries and header files for
developing applications that use %{name}.

%package -n	%{libname_static_devel}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{libname_devel} = %{version}-%{release}
Provides:	tommath-static-devel = %{version}-%{release}

%description -n	%{libname_static_devel}
The %{libname_static_devel} package contains static libraries for
developing applications that use %{name}.

%prep

%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"

%make LIBPATH=%{_libdir} -f makefile.shared 

%install
rm -rf %{buildroot}

export INSTALL_USER=$(id -un)
export INSTALL_GROUP=$(id -gn)

%makeinstall_std INCPATH=%{_includedir}/tommath LIBPATH=%{_libdir} -f makefile.shared

# rm -f %buildroot%_libdir/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/*.so.%{major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_includedir}/tommath
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{libname_static_devel}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Mon Jul 25 2011 dlucio <dlucio> 0.42.0-3.mga2
+ Revision: 129297
- .la in correct place
- .la enabled again, we need it for c-icap

* Mon Jul 18 2011 fwang <fwang> 0.42.0-1.mga2
+ Revision: 125727
- do not build doc now
- new version 0.42.0

* Sun Jan 23 2011 ennael <ennael> 0.39-3.mga1
+ Revision: 33454
- remove mdkversion
- imported package libtommath


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.39-3mdv2011.0
+ Revision: 620233
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.39-2mdv2010.0
+ Revision: 439484
- rebuild

* Thu Feb 26 2009 Oden Eriksson <oeriksson@mandriva.com> 0.39-1mdv2009.1
+ Revision: 345255
- the origin of 0.41 can't be found, rolling back to 0.39

* Mon Aug 11 2008 David Walluck <walluck@mandriva.org> 0.41-3mdv2009.0
+ Revision: 270861
- BuildRequires: libtiff-progs
- BuildRequires: libtool
- fix permissions
- fix package
- import libtommath


* Sun Aug 10 2008 David Walluck <walluck@mandriva.org> 0.41-1
- release
